:root {
  --bs-primary: #174C38; /* Green */
  --bs-secondary: #B9975B; /* Gold */
  --bs-success: #22c55e;
  --bs-warning: #f59e0b;
  --bs-danger: #ef4444;
  --bs-dark: #174C38;
  --bs-body-color: #091f17;
}
  


html {font-size: 1.2rem; }
body { font-family: 'Montserrat', sans-serif; font-weight: 400; line-height: 1.6; color: #091f17;}
h1,h2,h3,h4,h5,h6,.navbar-brand  { font-family: 'Pirata One', cursive;  color: #174C38; }

h1 {font-size: 5.2rem; line-height: 1.0; }
h2 {font-size: 4rem;}
h3 {font-size: 3rem;}
h4 {font-size: 2rem; color: #174C38;}
h5 {font-size: 1.5rem;}

.lead {font-size: 1.2rem;}

@media (max-width: 991.98px) {
  html {font-size: 1rem; } 
  h1 {font-size: 4.5rem; line-height: 1.0; }
  h2 {font-size: 3.5rem;}
}
  
 
a { color: #B9975B;   text-decoration: none; font-weight: bold;}
a:hover, a:focus { color: #9e7d43;  text-decoration: underline; }
.btn-outline-primary {color: #174C38; border-color: #174C38; }

/* Navbar height (Bootstrap default ~56px) */
:root {
  --nav-height: 56px;
}

/* All main sections full viewport */
section {
	scroll-snap-align: start;
  min-height:  100vh; 
}

/* Mobile override */
@media (max-width: 991.98px) {
  section { min-height: auto;  }
}
.padme {   padding-top: var(--nav-height);}

 /* ===== Navbar ===== */ 
.navbar {  background-color: rgba(255, 255, 255, 0.8); color: #174C38;} 
.navbar-brand {  font-size: 1.4rem; font-weight: 700;}
.navbar-nav a {color: #174C38; font-weight: 400;}

 
/* ===== HERO ===== */
#hero img {  display: block;  margin-bottom: 0;}
.hero-text {   min-height: calc(100vh ); } /* Full height minus coming soon */
.coming-soon-banner {
   height: 60px;
   background-color: #B9975B;
   font-weight: 700;
   text-transform: uppercase;
   letter-spacing: 1px;
   display: flex;
   align-items: center;
   justify-content: center;
 }
 @media (max-width: 991.98px) {
   .hero-text  { min-height: auto;  }
   #hero img {  display: block;  margin-bottom:60px;}
 }
 /* ===== About ===== */
 
 
#about {  
    width: 100%; background: #d0b991 url("../img/dice-drinks-san-antonio-bar-tavern.jpg") center right / cover no-repeat;
  position: relative;
}
/* Mobile */
  @media (max-width: 768px) {
	  /* mobile only */
	  @media (max-width: 767.98px) {
	    #about::before {
	      content: "";
	      position: absolute;
	      inset: 0;
		  background: rgba(251,235, 202, 0.8); /* adjust opacity */
	      z-index: 1;
	    }

	    #about > * {
	      position: relative;
	      z-index: 2;
	    }
	  }
  }
  /* ===== Contact ===== */
 #contact { 
   background: #f2f2f2 url('../img/grid.png') top left repeat;
 } 
  
 .contact-map  { border-left: 4px solid #ccc;  padding-left: 0;}
 .mono-map { filter: grayscale(100%) contrast(1.1);  width: 100%; height: 90%;}
  
/* ===== Footer ===== */
footer {
	background-color: #174C38;
    font-size: 0.8rem; 
	color: #d0b991;
	padding: 15px;
}
   .builtby { text-align: right;} 
  .builtby::after {
    content: "Built by TonicLab";
    font-size: 0.8rem; 
  }
  
  @media (max-width: 991.98px) {
    footer,  .builtby  { text-align: center;}
  }
  
